Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Tools.Signing.Providers.TokenSignProvider Class Referenceabstract
Inheritance diagram for Zwipe.Build.Tools.Signing.Providers.TokenSignProvider:
[legend]
Collaboration diagram for Zwipe.Build.Tools.Signing.Providers.TokenSignProvider:
[legend]

## Public Member Functions
X509Certificate2 | GetCertificate ()
string | GetCommandLineParameters ()
string | GetCommandLineParameters (string certificatePath)

## Static Public Attributes
const string | Type = "etoken"

## Protected Member Functions
| TokenSignProvider (string certificatePath)

## Properties
string | Alias`[get]`

## Private Attributes
readonly string | _certificatePath

## Constructor & Destructor Documentation

## ◆ TokenSignProvider()

Zwipe.Build.Tools.Signing.Providers.TokenSignProvider.TokenSignProvider | ( | string | certificatePath | ) |
| protected

## Member Function Documentation

## ◆ GetCertificate()

X509Certificate2 Zwipe.Build.Tools.Signing.Providers.TokenSignProvider.GetCertificate | ( |  | ) |

Implements Zwipe.Build.Tools.Signing.Providers.ISignProvider.

## ◆ GetCommandLineParameters() [1/2]

string Zwipe.Build.Tools.Signing.Providers.TokenSignProvider.GetCommandLineParameters | ( |  | ) |

Implements Zwipe.Build.Tools.Signing.Providers.ISignProvider.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetCommandLineParameters() [2/2]

string Zwipe.Build.Tools.Signing.Providers.TokenSignProvider.GetCommandLineParameters | ( | string | certificatePath | ) |
| abstract

## Member Data Documentation

## ◆ _certificatePath

readonly string Zwipe.Build.Tools.Signing.Providers.TokenSignProvider._certificatePath
| private

## ◆ Type

const string Zwipe.Build.Tools.Signing.Providers.TokenSignProvider.Type = "etoken"
| static

## Property Documentation

## ◆ Alias

string Zwipe.Build.Tools.Signing.Providers.TokenSignProvider.Alias
| get

Implements Zwipe.Build.Tools.Signing.Providers.ISignProvider.

The documentation for this class was generated from the following file:

- Zwipe.Build.Tools/Signing/Providers/TokenSignProvider.cs